GROUPADD(8)

NAME
groupadd - erstellt eine neue Gruppe

ÜBERSICHT

groupadd [Optionen] Gruppe

BESCHREIBUNG

Der Befehl groupadd erstellt ein neues Gruppenkonto. Dabei verwendet er die Werte, die auf der Befehlszeile angegeben wurden, oder die Standardwerte des Systems. Soweit es notwendig ist, wird die neue Gruppe den Systemdateien hinzugefügt.

OPTIONEN

Die Optionen, die vom Befehl groupadd unterstützt werden, sind:

-f, --force
    Die Option führt dazu, dass der Befehl nur dann erfolgreich beendet wird, wenn die angegebene Gruppe existiert. Falls diese Option zusammen mit der Option -g verwendet wird und die angegebene GID schon vergeben ist, wird eine andere, eindeutige GID gewählt (d.h. -g wird nicht beachtet).

-g, --gid GID
    Der zahlenmäßige Wert der Gruppen-ID. Dieser Wert muss eindeutig sein, sofern nicht die Option -o verwendet wird. Der Wert darf nicht negativ sein. Standardmäßig wird der kleinste Wert größer als oder gleich GID_MIN und größer als jeder andere Wert einer Gruppe verwendet.

    Vergleichen Sie auch die Option -r und die Ausführungen zu GID_MAX.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-K, --key SCHLÜSSEL=WERT
    Überschreibt die Standardwerte von /etc/login.defs (GID_MIN, GID_MAX und weitere). Diese Option kann mehrfach verwendet werden.

    Beispiel: -K GID_MIN=100 -K GID_MAX=499

    Hinweis: -K GID_MIN=10,GID_MAX=499 funktioniert noch nicht.

-o, --non-unique
    Diese Option erlaubt es, eine Gruppe mit einer nicht eindeutigen GID zu erstellen.

-p, --password PASSWORT
    Das verschlüsselte Passwort, wie es von crypt(3) zurückgegeben wird. Standardmäßig ist das Passwort deaktiviert.

    Hinweis: Diese Option ist nicht empfehlenswert, weil das Passwort (auch wenn es verschlüsselt ist) für Benutzer sichtbar ist, die sich den Prozess anzeigen lassen.

    Sie sollten sicherstellen, dass das Passwort den Passwortrichtlinien des Systems entspricht.

-r, --system
    erstellt eine neue Systemgruppe

    Die zahlenmäßige Kennung einer neuen Systemgruppe wird aus der Spanne von SYS_GID_MIN bis SYS_GID_MAX gewählt, welche in login.defs festgelegt wird, anstelle von GID_MIN bis GID_MAX.

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

GID_MAX (Zahl), GID_MIN (Zahl)
    der Bereich von Gruppen-IDs, aus dem die Programme useradd, groupadd oder newusers bei der Erstellung normaler Gruppen auswählen dürfen

    Der Standardwert für GID_MIN ist 1000, für GID_MAX 60.000.

MAX_MEMBERS_PER_GROUP (Zahl)
    Maximale Anzahl von Mitgliedern je Gruppeneintrag. Wenn das Maximum erreicht wird, wird ein weiterer Eintrag in /etc/group (mit dem gleichen Namen, dem gleichen Passwort und der gleichen GID) erstellt.

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

SYS_GID_MAX (Zahl), SYS_GID_MIN (Zahl)
    der Bereich von Gruppen-IDs, aus dem die Programme useradd, groupadd oder newusers bei der Erstellung von Systemgruppen auswählen dürfen

    Der Standardwert für SYS_GID_MIN ist 101, für SYS_GID_MAX GID_MIN-1.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

WARNUNGEN

It is usually recommended to only use groupnames that begin with a lower case letter or an underscore, followed by lower case letters, digits, underscores, or dashes. They can end with a dollar sign. In regular expression terms: [a-z_][a-z0-9_-]*[$]?

On Debian, the only constraints are that groupnames must neither start with a dash ('-') nor plus ('+') nor tilde ('~') nor contain a colon (':'), a comma (','), or a whitespace (space:' ', end of line: '\n', tabulation: '\t', etc.).

Gruppennamen dürfen nur bis zu 32 Zeichen lang sein.

Sie können einen Benutzer nicht einer NIS- oder LDAP-Gruppe hinzufügen. Dies müssen Sie auf dem entsprechenden Server durchführen.

Falls der Gruppenname bereits in einer externen Datenbank (wie etwa NIS oder LDAP) vergeben ist, wird groupadd die Gruppe nicht erstellen.

RÜCKGABEWERTE

Der Befehl groupadd gibt beim Beenden folgende Werte zurück:

0
    Erfolg

2
    unzulässige Syntax für diesen Befehl

3
    ungültiges Argument für Option

4
    GID nicht eindeutig (wenn -o nicht angegeben wird)

9
    Gruppenname nicht eindeutig

10
    Die Gruppendatei kann nicht aktualisieren werden.

SIEHE AUCH

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).